%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		suil
Version:	0.10.8
Release:	%mkrel 1
Summary:	Lightweight C library for loading and wrapping LV2 plugin UIs
License:	ISC License (ISC)
Group:		System/Libraries
URL:		http://drobilla.net/software/%{name}/
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.bz2
Patch10:	suil-0.10.0-linking.patch
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	waf
BuildRequires:	python3
BuildRequires:	pkgconfig(lv2) >= 1.12.0
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:	qt4-devel
BuildRequires:	qt5-devel
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(serd-0)
BuildRequires:	pkgconfig(sratom-0)

%description
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
run-time using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

#-----------------------------------

%package -n %{lib_name}
Summary:	Lightweight RDF syntax library
Group:		System/Libraries
Obsoletes:	%{_lib}suil0 < 0.6.12-2

%description -n %{lib_name}
Suil is a lightweight C library for loading and wrapping LV2 plugin UIs.

Suil makes it possible to load a UI of any toolkit in a host using any
other toolkit (assuming the toolkits are both supported by Suil).
Hosts do not need to build against or link to foreign toolkit libraries
to use UIs written with that toolkit (Suil performs its magic at
run-time using dynamically loaded modules). The API is designed such that
hosts do not need to explicitly support particular toolkits whatsoever.
If Suil supports a particular toolkit, then all hosts that use Suil will
support that toolkit.

%files -n %{lib_name}
%license COPYING
%{_docdir}/%{name}/
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------

%package -n %{lib_name_devel}
Summary:	Headers for the sord RDF storage library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against suil.

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc
%{_mandir}/man3/%{name}.3.*

#-----------------------------------

%package -n %{_lib}%{name}-qt4-in-gtk2
Summary:	Shared object for GTK2 hosts displaying Qt4 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-qt4-in-gtk2 = %{version}-%{release}

%description -n %{_lib}%{name}-qt4-in-gtk2
Shared object for GTK2 hosts displaying Qt4 LV2 GUIs.

%files -n %{_lib}%{name}-qt4-in-gtk2
%{_libdir}/%{name}-%{lib_major}/lib%{name}_qt4_in_gtk2.so

#-----------------------------------

%package -n %{_lib}%{name}-qt5-in-gtk2
Summary:	Shared object for GTK2 hosts displaying Qt5 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-qt5-in-gtk2 = %{version}-%{release}

%description -n %{_lib}%{name}-qt5-in-gtk2
Shared object for GTK2 hosts displaying Qt5 LV2 GUIs.

%files -n %{_lib}%{name}-qt5-in-gtk2
%{_libdir}/%{name}-%{lib_major}/lib%{name}_qt5_in_gtk2.so

#-----------------------------------

%package -n %{_lib}%{name}-qt5-in-gtk3
Summary:	Shared object for GTK3 hosts displaying Qt5 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-qt5-in-gtk3 = %{version}-%{release}

%description -n %{_lib}%{name}-qt5-in-gtk3
Shared object for GTK3 hosts displaying Qt5 LV2 GUIs.

%files -n %{_lib}%{name}-qt5-in-gtk3
%{_libdir}/%{name}-%{lib_major}/lib%{name}_qt5_in_gtk3.so

#-----------------------------------

%package -n %{_lib}%{name}-gtk2-in-qt4
Summary:	Shared object for Qt4 hosts displaying GTK2 LV2 GUIs
Group:		System/Libraries
Requires:	gtk2
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-gtk2-in-qt4 = %{version}-%{release}

%description -n %{_lib}%{name}-gtk2-in-qt4
Shared object for Qt4 hosts displaying GTK2 LV2 GUIs.

%files -n %{_lib}%{name}-gtk2-in-qt4
%{_libdir}/%{name}-%{lib_major}/lib%{name}_gtk2_in_qt4.so

#-----------------------------------

%package -n %{_lib}%{name}-gtk2-in-qt5
Summary:	Shared object for Qt5 hosts displaying GTK2 LV2 GUIs
Group:		System/Libraries
Requires:	gtk2
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-gtk2-in-qt5 = %{version}-%{release}

%description -n %{_lib}%{name}-gtk2-in-qt5
Shared object for Qt5 hosts displaying GTK2 LV2 GUIs.

%files -n %{_lib}%{name}-gtk2-in-qt5
%{_libdir}/%{name}-%{lib_major}/lib%{name}_gtk2_in_qt5.so

#-----------------------------------

%package -n %{_lib}%{name}-x11-in-gtk2
Summary:	Shared object for GTK2 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-gtk2 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-gtk2
Shared object for GTK2 hosts displaying X11 LV2 GUIs.

%files -n %{_lib}%{name}-x11-in-gtk2
%{_libdir}/%{name}-0/libsuil_x11_in_gtk2.so

#-----------------------------------

%package -n %{_lib}%{name}-x11-in-gtk3
Summary:	Shared object for GTK3 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-gtk3 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-gtk3
Shared object for GTK3 hosts displaying X11 LV2 GUIs.

%files -n %{_lib}%{name}-x11-in-gtk3
%{_libdir}/%{name}-0/libsuil_x11_in_gtk3.so

#-----------------------------------

%package -n %{_lib}%{name}-x11-in-qt4
Summary:	Shared object for Qt4 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-qt4 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-qt4
Shared object for Qt4 hosts displaying X11 LV2 GUIs.

%files -n %{_lib}%{name}-x11-in-qt4
%{_libdir}/%{name}-0/libsuil_x11_in_qt4.so

#-----------------------------------

%package -n %{_lib}%{name}-x11-in-qt5
Summary:	Shared object for Qt5 hosts displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11-in-qt5 = %{version}-%{release}

%description -n %{_lib}%{name}-x11-in-qt5
Shared object for Qt5 hosts displaying X11 LV2 GUIs.

%files -n %{_lib}%{name}-x11-in-qt5
%{_libdir}/%{name}-0/libsuil_x11_in_qt5.so

#-----------------------------------

%package -n %{_lib}%{name}-x11
Summary:	Shared object for displaying X11 LV2 GUIs
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-x11 = %{version}-%{release}

%description -n %{_lib}%{name}-x11
Shared object for displaying X11 LV2 GUIs.

%files -n %{_lib}%{name}-x11
%{_libdir}/%{name}-0/libsuil_x11.so

#-----------------------------------

%prep
%autosetup

# let wscript(s) find the custom waf scripts
mkdir -pv tools
touch __init__.py
cp -v waflib/extras/{autoship,autowaf,lv2}.py tools/
mkdir -pv plugins/tools/
cp -v waflib/extras/{autoship,autowaf,lv2}.py plugins/tools/
rm -rv waflib
sed -e 's/waflib.extras/tools/g' \
    -e "s/load('autowaf'/load('autowaf', tooldir='tools'/g" \
    -e "s/load('lv2'/load('lv2', tooldir='tools'/g" \
    -i wscript

%build
%waf \
    --docdir=%{_docdir}/%{name} \
    --no-cocoa \
    --docs
%waf_build -vv

%install
%waf_install

install -pm 644 AUTHORS NEWS README.md %{buildroot}%{_docdir}/%{name}


%changelog
* Wed Oct 14 2020 luigiwalser <luigiwalser> 0.10.8-1.mga8
+ Revision: 1636111
- 0.10.8
- remove upstreamed patch

* Sun Jul 05 2020 daviddavid <daviddavid> 0.10.6-3.mga8
+ Revision: 1602294
- compile with system waf (from archlinux)

* Sat May 23 2020 wally <wally> 0.10.6-2.mga8
+ Revision: 1587028
- build with python3

* Mon May 11 2020 tv <tv> 0.10.6-1.mga8
+ Revision: 1582915
- Update to 0.10.6
- Fix wrong Cocoa detection on some arches
- Enable Gtk3 support

* Sat Feb 15 2020 umeabot <umeabot> 0.10.2-3.mga8
+ Revision: 1525054
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 0.10.2-2.mga7
+ Revision: 1384920
- Qt5 Rebuild

* Sun Dec 30 2018 luigiwalser <luigiwalser> 0.10.2-1.mga7
+ Revision: 1347068
- 0.10.2

* Sun Dec 02 2018 umeabot <umeabot> 0.10.0-2.mga7
+ Revision: 1337427
- Mageia 7 Mass Rebuild
+ luigiwalser <luigiwalser>
- rediff patch 0
- 0.10.0
- add two more subpackages
- 0.8.4
- enable qt5 support

* Thu Sep 21 2017 cjw <cjw> 0.8.2-6.mga7
+ Revision: 1156504
- do not try to disable debug packges

* Wed Feb 17 2016 umeabot <umeabot> 0.8.2-5.mga6
+ Revision: 962970
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 barjac <barjac> 0.8.2-4.mga6
+ Revision: 894966
- rebuild for lv2-1.12.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.2-3.mga5
+ Revision: 744329
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.2-2.mga5
+ Revision: 689605
- Mageia 5 Mass Rebuild
+ wally <wally>
- drop _disable_ld_no_undefined usage to not hide linking problems

* Sun Aug 31 2014 barjac <barjac> 0.8.2-1.mga5
+ Revision: 669768
- new version 0.8.2
- updated linkage patch (wally)
- added _disable_ld_no_undefined

* Thu May 08 2014 barjac <barjac> 0.6.12-4.mga5
+ Revision: 621184
- rebuild against new lv2/sratom

* Sat Oct 19 2013 umeabot <umeabot> 0.6.12-3.mga4
+ Revision: 529874
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 wally <wally> 0.6.12-2.mga4
+ Revision: 453858
- fix lib pkg name
- use our build time flags
- add patch to fix linking
- drop unneeded requires from devel pkg

* Sat Jul 13 2013 philippedidier <philippedidier> 0.6.12-1.mga4
+ Revision: 453788
- new version 0.6.12

* Mon Jan 14 2013 umeabot <umeabot> 0.6.6-2.mga3
+ Revision: 383728
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 barjac <barjac> 0.6.6-1.mga3
+ Revision: 321639
- new version
- changed BRs lv2core-devel and lv2-ui replaced by lv2-devel
- two new sub-libs
- minor spec clean
- thanks to Philippe Didier bug #7841

* Mon Sep 26 2011 fwang <fwang> 0.4.4-2.mga2
+ Revision: 147935
- qtgui is already pushed through file deps

* Wed Sep 07 2011 tv <tv> 0.4.4-1.mga2
+ Revision: 139994
- imported package suil


* Sun Jun 26 2011 Frank Kober <emuse@mandriva.org> 0.4.4-1mdv2011.0
+ Revision: 687319
- add lv2config command prior to build
- imported package suil

